Subject: Ticket Assigned - 9563083131/ Late delivery
From: Home Box <[email-masked]>
To: [email-masked]
Date: Wed, 30 Mar 2022 07:18:15 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9563083131/ Late delivery .                             10:59 AM, 30th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           10:59 AM, 30th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            10:59 AM, 30th Mar                     .                    When will I receive my order           10:59 AM, 30th Mar                   Alhamzi                   Hi, thank you for contacting us. This's Alhamzi We would be happy to help you.           11:01 AM, 30th Mar                   Alhamzi                   Please wait while we check the details.            11:01 AM, 30th Mar                   Alhamzi                   We have been informed by our courier that you have rejected the order           11:02 AM, 30th Mar                   Alhamzi                   Kindly confirm if this is your correct number: 971526677780           11:02 AM, 30th Mar                     .                    I did not refuse anything           11:03 AM, 30th Mar                     .                    Nobody called me           11:03 AM, 30th Mar                     .                    I did not receive anything           11:03 AM, 30th Mar                     .                    I did not receive anything           11:05 AM, 30th Mar                     .                             11:06 AM, 30th Mar                     .                    This is yesterday's message           11:07 AM, 30th Mar                     .                    ???           11:07 AM, 30th Mar                     .                    call me on this number           11:08 AM, 30th Mar                   Alhamzi                   I can see that delivery of this order has taken longer than our normal delivery time, and I am really very sorry for this delay. I know that you’ve been waiting for it.  We have forwarded your issue to our concern team. Our team is working on it. Once we will get any update we will get back to you.  Our courier partner will contact you to arrange a time for delivery. It should be with you soon.  Again, please accept our sincere apologies for this unexpected delay.           11:09 AM, 30th Mar                   Alhamzi                   please note that we provide service through online. you can call to this number 8004663269           11:10 AM, 30th Mar                   Alhamzi                   Do you have any other inquiries that we can help with?           11:10 AM, 30th Mar                     .                    When will I receive my order           11:12 AM, 30th Mar                   Alhamzi                   kindly not that we do not know the exact delivery time but rest assured that we are doing the needful to deliver your order ASAP.    Please allow us some more time            11:14 AM, 30th Mar                   Alhamzi                   Do you have any other inquiries that we can help with?           11:14 AM, 30th Mar                   Alhamzi                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           11:17 AM, 30th Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4098641